Get Invoice Breakdown
Provides a daily breakdown during a time period.
POST /api/v1/billing/invoices/get_invoice_breakdownsCURL Example:
Section titled “CURL Example:”curl https://api.warpstream.com/api/v1/billing/invoices/get_invoice_breakdowns \ -H 'warpstream-api-key: XXXXXXXXXX' \ -H 'Content-Type: application/json' \ -d '{ "date_start":"YYYY-MM-DD", "date_end":"YYYY-MM-DD" }'Response Body (JSON):
Section titled “Response Body (JSON):”{ "date_from": "YYYY-MM-DD", "date_to": "YYYY-MM-DD", "tenants": [ { "tenant_id": "ti_xxx", "workspaces": [ { "workspace_id": "wi_xxx", "workspace_name": "xxx", "clusters": [ { "virtual_cluster_id": "vci_xxx", "cluster_name": "vcn_xxx", "cluster_regions": [ "ap-south-1" ], "charges": [ { "product": "Cluster minutes", "unit_price": 0.23148, "breakdowns": [ { "date_from": "YYYY-MM-DD", "date_to": "YYYY-MM-DD", "quantity": 0.03288155235350132, "total": 0.00131526 }, { "date_from": "YYYY-MM-DD", "date_to": "YYYY-MM-DD", "quantity": 0.03221375308930874, "total": 0.00128855 }, ] } ] }, { "virtual_cluster_id": "vci_xxx", "cluster_name": "vcn_xxx", "cluster_regions": [ "us-east-1" ], "charges": [ { "product": "Cluster minutes", "unit_price": 0.23148, "breakdowns": [ { "date_from": "YYYY-MM-DD", "date_to": "YYYY-MM-DD", "quantity": 1440, "total": 3.33331 }, { "date_from": "YYYY-MM-DD", "date_to": "YYYY-MM-DD", "quantity": 1440, "total": 3.33331 }, ] }, { "product": "Uncompressed GiB written - Tier 1", "unit_price": 0.02000000, "breakdowns": [ { "date_from": "2026-01-01", "date_to": "2026-01-02", "quantity": 829.0839424058795, "total": 16.58168 }, { "date_from": "2026-01-02", "date_to": "2026-01-03", "quantity": 825.6732089938596, "total": 16.51346 }, ] } ] } ] } ] } ], "account_charges": [ // Negative charges for commit credits and free credits will appear here, aggregated by "product" // Support charges will also appear here ]}